summaryrefslogtreecommitdiffstats
path: root/twin
diff options
context:
space:
mode:
authorTimothy Pearson <kb9vqf@pearsoncomputing.net>2014-11-12 15:05:06 -0600
committerTimothy Pearson <kb9vqf@pearsoncomputing.net>2014-11-12 15:05:06 -0600
commit8a7c183152bd9ce77b57e045f93f034826b91c30 (patch)
treeeb43db50a2e9d8f91a9d30bfc78b4f88c403ee79 /twin
parentd74fed9b65e4c5e742a3fe81a05b83201ccf591a (diff)
downloadtdebase-8a7c183152bd9ce77b57e045f93f034826b91c30.tar.gz
tdebase-8a7c183152bd9ce77b57e045f93f034826b91c30.zip
Add semi-automated update script
Diffstat (limited to 'twin')
-rwxr-xr-xtwin/update_compton_tde46
1 files changed, 46 insertions, 0 deletions
diff --git a/twin/update_compton_tde b/twin/update_compton_tde
new file mode 100755
index 00000000..c6ad83ba
--- /dev/null
+++ b/twin/update_compton_tde
@@ -0,0 +1,46 @@
+#!/bin/bash
+#
+# (c) 2014 Timothy Pearson <kb9vqf@pearsoncomputing.net>
+# Released under the GPL v2/v3
+#
+# NOTE
+# This script cannot typically be run as-is against the tree
+# Specifically the code below the bash call is highly likely to fail!
+#
+# In a nutshell, due to bad behaviour from GIT in this use case, this
+# script is more of a starting point than an actual automated update...
+#
+
+set -e
+
+TDEBASE_WORKING_DIRECTORY=~/TEMP2/tdebase-trinity-14.0.0-r1664
+
+mkdir TEMP
+cd TEMP
+git clone https://github.com/chjj/compton.git
+cd compton
+git subtree split -P src -b compton-tde
+cd ..
+
+mkdir compton-tde
+cd compton-tde
+git init
+git pull ../compton compton-tde
+
+rm -rf .git/refs/original
+git reflog expire --all
+git gc --aggressive --prune=now
+git reflog expire --all --expire-unreachable=0
+git repack -A -d
+git prune
+
+cd ..
+
+cd compton-tde
+git remote add -f compton-update $TDEBASE_WORKING_DIRECTORY/twin/TEMP/compton-tde
+git merge --no-commit compton-update/master
+echo "Now resolve conflicts, exit when done..."
+bash
+git read-tree --prefix=twin/compton-tde/ -u compton-update/master
+git commit -m "Merge compton changes"
+git pull -s subtree compton-update master